commit:     0f723863cc638a972fd3c2b3f45b86d0663d99a6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 26 04:21:43 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov 26 04:33:39 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f723863

dev-python/gmpy2: Bump to 2.3.0_alpha2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/gmpy2/Manifest                  |  2 ++
 dev-python/gmpy2/gmpy2-2.3.0_alpha2.ebuild | 45 ++++++++++++++++++++++++++++++
 dev-python/gmpy2/metadata.xml              |  2 +-
 3 files changed, 48 insertions(+), 1 deletion(-)

diff --git a/dev-python/gmpy2/Manifest b/dev-python/gmpy2/Manifest
index b97be8bd6e79..5d6d8c3ae671 100644
--- a/dev-python/gmpy2/Manifest
+++ b/dev-python/gmpy2/Manifest
@@ -1,2 +1,4 @@
 DIST gmpy2-2.2.1.tar.gz 234228 BLAKE2B 
80188c6abd30ee5b5ebc4d233d3d97dd78be7f9d21d0649429e87b23d3e6d8b5b9269c792d481f24bd3b43d28e012bdd64ee6bb5d0137e3ac759742c845186c1
 SHA512 
2a3dc011295a373e10455e1f133aa3063cff24cdac0151cee9f29ce5855c3e44c3e3aab61bf13c11c9df1147b9183c6c387db1cb4dcb270b9dce1a9cb521f5dc
 DIST gmpy2-2.3.0a1.tar.gz 244673 BLAKE2B 
83ea701d248c610d9b9bc592e45e7cad4e5b8f73c916e05cde700e76e224cb9d40208d7cdf208c1862aa511708c5059f5dba007f1cfbf27cdf7f4a3259f9061a
 SHA512 
caf0ac50e07b62e403c137311c8dff8b2a13c2da43817ec575454e5c6f423ff2ddb73b16f48cc42b54bbf589ca6ae8dd260a911929c7c0736b4a7b2ee840cf31
+DIST gmpy2-2.3.0a2.tar.gz 277418 BLAKE2B 
92bdcef15d93c55c413c3fcab8bc4ba0f3460d60fc4ad78022cd7cb6c4f5436e22696e16bb3b869bfe9ace7f6d687c701befb9590c99b929c85bddc1c12d7d42
 SHA512 
b6277303c4c451ee01cf8a20bf810e407a2c3055f9990d2e5cb6555c7ea438cd268e7b69ad442b75d566abdbd5030e086dfdd982790e20792d86b957b515ba37
+DIST gmpy2-2.3.0a2.tar.gz.provenance 9305 BLAKE2B 
0a3e1ad0910a8c0067df63c03f2bad141e5e8f46f4a6867ed1ab0b9e673094631ae28d06e06ff784d351b258aca521b599707f1a2fa3507b5b2206c0277873aa
 SHA512 
5e9b97f8b6bdc7f589a90c0dac0237303f4a2f9ba7a1e4d2a15fbacccf0c5df057bc8584f3be87a065dca1ac83f2c1c94291bf7ff5a65f19a6bf2b9b36886a95

diff --git a/dev-python/gmpy2/gmpy2-2.3.0_alpha2.ebuild 
b/dev-python/gmpy2/gmpy2-2.3.0_alpha2.ebuild
new file mode 100644
index 000000000000..ea5f79be6797
--- /dev/null
+++ b/dev-python/gmpy2/gmpy2-2.3.0_alpha2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN="gmpy2"
+PYPI_VERIFY_REPO=https://github.com/gmpy2/gmpy2
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for GMP, MPC, MPFR and MPIR libraries"
+HOMEPAGE="
+       https://github.com/gmpy2/gmpy2/
+       https://pypi.org/project/gmpy2/
+"
+
+LICENSE="LGPL-3+"
+SLOT="2"
+
+DEPEND="
+       >=dev-libs/mpc-1.0.2:=
+       >=dev-libs/mpfr-3.1.2:=
+       dev-libs/gmp:0=
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       test? (
+               dev-python/mpmath[${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=( hypothesis )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+       rm -rf gmpy2 || die
+       epytest
+}

diff --git a/dev-python/gmpy2/metadata.xml b/dev-python/gmpy2/metadata.xml
index f81f2196a2bb..bdb0302f7d4b 100644
--- a/dev-python/gmpy2/metadata.xml
+++ b/dev-python/gmpy2/metadata.xml
@@ -13,6 +13,6 @@
        </longdescription>
        <upstream>
                <remote-id type="pypi">gmpy2</remote-id>
-               <remote-id type="github">aleaxit/gmpy</remote-id>
+               <remote-id type="github">gmpy2/gmpy2</remote-id>
        </upstream>
 </pkgmetadata>

Reply via email to